<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!ENTITY docbook.dsl PUBLIC "-//Norman Walsh//DOCUMENT DocBook Print Stylesheet//EN" CDATA DSSSL>
]>

<style-sheet>
<style-specification use="docbook">
<style-specification-body>

;; knock off the ones we don't use
(define biblio-filter-used #f)

;; numbe entries instead of using the key/abbrevs
(define biblio-number #f)
(define biblio-citation-check #t)

(define bop-footnotes #t)
(define tex-backend #t)

(define %default-quadding% 'justify)

(define %line-spacing-factor% 1.7)
(define %top-margin% 1.5in)

(define %hsize-bump-factor% 1.15)

(define %bf-size%
  ;; Defines the body font size
  (case %visual-acuity%
    (("tiny") 11pt)
    (("normal") 12pt)
    (("presbyopic") 12pt)
    (("large-type") 16pt)))

(define %generate-article-toc% #f)

(define (toc-depth nd) 4)

(define %section-autolabel% #f)

(define %para-indent%
  ;; First line start-indent for paragraphs (other than the first)
  0.25in)

(define %para-indent-firstpara%
  ;; First line start-indent for the first paragraph
  0.25in)

;(define %block-start-indent% 
  ;; Extra start-indent for block-elements
;  1in)

(define %title-font-family% 
  ;; The font family used in titles
  "Arial")

(define %gentext-en-edited-by% "Division III Commitee:")

(define (book-titlepage-recto-elements)
  (list (normalize "title") 
	(normalize "subtitle") 
	(normalize "graphic") 
	(normalize "mediaobject")
	(normalize "corpauthor") 
	(normalize "author") 
	(normalize "authorgroup") 
	(normalize "editor")))

(mode book-titlepage-recto-mode

  (element editor
    (let ((editor-name (author-string))
	  (editor-affil (select-elements (children (current-node))
						   (normalize "affiliation"))))
      (make sequence      
	(if (first-sibling?) 
	    (make paragraph
	      use: book-titlepage-recto-style
	      font-size: (HSIZE 1)
	      line-spacing: (* (HSIZE 1) %line-spacing-factor%)
	      space-before: (* (HSIZE 2) %head-before-factor% 6)
	      quadding: %division-title-quadding%
	      keep-with-next?: #t
	      (literal (gentext-edited-by)))
	    (empty-sosofo))
	(make paragraph
	  use: book-titlepage-recto-style
	  font-size: (HSIZE 2)
	  line-spacing: (* (HSIZE 2) %line-spacing-factor%)
	  quadding: %division-title-quadding%
	  keep-with-next?: #t
	  (literal editor-name))
	(process-node-list editor-affil))))


  (element title 
    (make paragraph
      use: book-titlepage-recto-style
      font-size: (HSIZE 4)
      line-spacing: (* (HSIZE 5) %line-spacing-factor%)
      space-before: (* (HSIZE 5) %head-before-factor%)
      quadding: %division-title-quadding%
      keep-with-next?: #t
      heading-level: (if %generate-heading-level% 1 0)
      (with-mode title-mode
	(process-children-trim))))

  (element subtitle 
    (make paragraph
      use: book-titlepage-recto-style
      font-size: (HSIZE 3)
      line-spacing: (* (HSIZE 4) %line-spacing-factor%)
      space-before: (* (HSIZE 4) %head-before-factor%)
      quadding: %division-subtitle-quadding%
      keep-with-next?: #t
      (process-children-trim)))


)


;; set the citations correctly

(element citation 
  (if biblio-citation-check
      (let* ((bgraphies (select-elements (descendants (sgml-root-element))
					 (normalize "bibliography")))
	     (bchildren1 (expand-children bgraphies
					  (list (normalize "bibliography"))))
	     (bchildren2 (expand-children bchildren1
					  (list (normalize "bibliodiv"))))
	     (bibentries (node-list-filter-by-gi 
			  bchildren2
			  (list (normalize "biblioentry")
				(normalize "bibliomixed")))))
	(let loop ((bibs bibentries))
	  (if (node-list-empty? bibs)
	      (make sequence
		(error (string-append "Cannot find citation: " 
					   (data (current-node))))
		($charseq$))
	      (if (citation-matches-target? (current-node) 
					    (node-list-first bibs))
		  (make link 
		    destination: (node-list-address (node-list-first bibs))
		    ($charseq$))
		  (loop (node-list-rest bibs))))))
      (make sequence 
	($charseq$))))


</style-specification-body>
</style-specification>

<external-specification id="docbook" document="docbook.dsl">

</style-sheet>
